<?php
require '../conexao/conexao.php';
require '../configuacoes.php';
require '../sessao.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (isset($_POST['newPassword']) && isset($_POST['confirmNewPassword'])) {
        $new_password = $_POST['newPassword'];
        $confirm_new_password = $_POST['confirmNewPassword'];

        if ($new_password !== $confirm_new_password) {
            echo "As novas senhas não coincidem.";
            exit;
        }

        $user = $_SESSION['CodUsuario'];

        $encrypted_password = md5($new_password);

        $stmt = $connectionmysql->prepare("UPDATE usuario SET senha = ? WHERE id_usuario = ?");

        if ($stmt) {
            $stmt->bind_param("si", $encrypted_password, $user); // 'si' indica que os parâmetros são string e inteiro
            $stmt->execute();

            if ($stmt->affected_rows > 0) {
                header("Location: ../index.php?status=sucesso");
                exit;
            } else {
                header("Location: ../index.php?status=sucesso");
                exit;
            }

            $stmt->close();
        } else {
            echo "Erro ao preparar a declaração: " . $connectionmysql->error;
        }
    } else {
        echo "Todos os campos são obrigatórios.";
    }
} else {
    header("Location: ../index.php?status=erro");
    exit;
}

$connectionmysql->close();
